# Uncle Bryan's green salsa

## Ingredients

- 18 tomatillos, husks removed
- 3 jalapeños
- 1-2 cloves garlic
- 1 onion
- 1 t salt
- Guacamole (optional)
- Sugar (optional)

## Directions

- Place the tomatillos and jalapeños in a pan and cover with water. Bring to a boil, then simmer for 20 minutes or until the tomatillos have turned brown and softened.
- Remove from stove and drain the liquid reserving all the goodies in the water.
- Place in a blender and add the garlic cloves, onion, and salt. Blend well.
- Stop here for salsa verde. Or, chill and add guacamole to thicken and sugar to sweeten.
